- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# geos::noding::IntersectionFinderAdder Class Reference

Finds proper and interior intersections in a set of SegmentStrings, and adds them as nodes. More...

`#include <IntersectionFinderAdder.h>`

Inheritance diagram for geos::noding::IntersectionFinderAdder:

List of all members.

## Public Member Functions
| IntersectionFinderAdder (algorithm::LineIntersector &newLi, std::vector< geom::Coordinate > &v)
void | processIntersections (SegmentString *e0, int segIndex0, SegmentString *e1, int segIndex1)
std::vector< geom::Coordinate > & | getInteriorIntersections ()

## Detailed Description

Finds proper and interior intersections in a set of SegmentStrings, and adds them as nodes.

Last port: noding/IntersectionFinderAdder.java rev. 1.2 (JTS-1.7)

## Constructor & Destructor Documentation

geos::noding::IntersectionFinderAdder::IntersectionFinderAdder | ( | algorithm::LineIntersector & | newLi,
|  | std::vector< geom::Coordinate > & | v |
| ) |  |  | `[inline]`

Creates an intersection finder which finds all proper intersections and stores them in the provided Coordinate array

Parameters:

  | li | the LineIntersector to use
  | v | the Vector to push interior intersections to

## Member Function Documentation

void geos::noding::IntersectionFinderAdder::processIntersections | ( | SegmentString * | e0,
|  | int | segIndex0,
|  | SegmentString * | e1,
|  | int | segIndex1 |
| ) |  |  | `[virtual]`

This method is called by clients of the SegmentIntersector class to process intersections for two segments of the SegmentStrings being intersected. Note that some clients (such as MonotoneChains) may optimize away this call for segment pairs which they have determined do not intersect (e.g. by an disjoint envelope test).

Implements geos::noding::SegmentIntersector.

The documentation for this class was generated from the following file:

- IntersectionFinderAdder.h